# Uses of Class
org.eclipse.ecf.core.sharedobject.ReplicaSharedObjectDescription

Packages that use ReplicaSharedObjectDescription
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.security
org.eclipse.ecf.provider.generic

## Uses of ReplicaSharedObjectDescription in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that return ReplicaSharedObjectDescription
Modifier and Type
Method
Description
`ReplicaSharedObjectDescription`
IReplicaSharedObjectDescriptionFactory.`createDescriptionForContainer(ID containerID, ISharedObjectConfig config)`
Create new ReplicaSharedObjectDescription instance for delivery to remote container identified by containerID parameter.
`protected ReplicaSharedObjectDescription`
BaseSharedObject.`getReplicaDescription(ID receiver)`
Get a ReplicaSharedObjectDescription for a replica to be created on a given receiver.
`protected ReplicaSharedObjectDescription[]`
BaseSharedObject.`getReplicaDescriptions(ID[] receivers)`
This method is called by replicateToRemoteContainers to determine the ReplicaSharedObjectDescriptions associated with the given receivers.
Methods in org.eclipse.ecf.core.sharedobject with parameters of type ReplicaSharedObjectDescription
Modifier and Type
Method
Description
`void`
ISharedObjectContext.`sendCreate(ID targetID, ReplicaSharedObjectDescription sd)`
Send message to create a remote instance of an ISharedObject with the same ID as this instance.

## Uses of ReplicaSharedObjectDescription in org.eclipse.ecf.core.sharedobject.security

Methods in org.eclipse.ecf.core.sharedobject.security with parameters of type ReplicaSharedObjectDescription
Modifier and Type
Method
Description
`PermissionCollection`
ISharedObjectPolicy.`checkAddSharedObject(ID fromID, ID toID, ID localID, ReplicaSharedObjectDescription newObjectDescription)`
Check the request to add a shared object from external source (i.e.

## Uses of ReplicaSharedObjectDescription in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic with parameters of type ReplicaSharedObjectDescription
Modifier and Type
Method
Description
`protected Object`
SOContainer.`checkRemoteCreate(ID fromID, ID toID, ReplicaSharedObjectDescription desc)`
Check remote creation of shared objects.
`protected SOConfig`
SOContainer.`createRemoteSharedObjectConfig(ID fromID, ReplicaSharedObjectDescription sd, ISharedObject obj)`
`protected SOWrapper`
SOContainer.`createRemoteSharedObjectWrapper(ID fromID, ReplicaSharedObjectDescription sd, ISharedObject s)`
`void`
SOContext.`sendCreate(ID toContainerID, ReplicaSharedObjectDescription sd)`